Subject: Re: nfsd, v4: oops in find_acceptable_alias, ppc32 Linux, post-2.6.27-rc1

From: "J. Bruce Fields" <[email-masked]>
Date: Mon, 4 Aug 2008 16:59:08 -0400

On Tue, Aug 05, 2008 at 08:51:23AM +1200, Paul Collins wrote:
> Michael Ellerman <[email-masked]> writes:
> 
> > On Mon, 2008-08-04 at 22:00 +1200, Paul Collins wrote:
> >> Paul Collins <[email-masked]> writes:
> >> 
> >> > Neil Brown <[email-masked]> writes:
> >> >> Could you try removing the 'static' declaration for nfsd_acceptable
> >> >> and recompile?
> >> >> Or maybe try a different compiler?
> >> >
> >> > I will give these a try this evening.
> >> 
> >> I built myself a nice new cross compiler:
> >> 
> >>         powerpc-linux-gnu-gcc-4.1 (GCC) 4.1.3 20080623 (prerelease) (Debian 4.1.2-23)
> >> 
> >> and rebuilt 94ad374a0751f40d25e22e036c37f7263569d24c.  Running that on
> >> the server and 2.6.26 on the client, I got yet another Oops.  This one
> >> locked the machine up pretty good, so all I have is a picture:
> >> 
> >> http://ondioline.org/~paul/DSCN1608.JPG
> >
> > Wow.
> >
> > Can you try building a kernel on the server? ie. not over NFS.
> 
> Built kernels on the server with native gcc 4.2.4 and 4.3.1 and repeated
> the build test.
 
But the build test itself was over nfs?  (And you can't reproduce the
same problem without nfs?)

--b.

> Both of them threw an Oops with traces like the ones
> we've seen before.  Also, because now's about time to start shooting in
> the dark, I tried a cross-built kernel with CC_OPTIMIZE_FOR_SIZE
> disabled.  That one Oopses too.  Also I reseated the server's memory.
> 
> Although I've been able to build kernels over NFS with 2.6.26 on the
> server, I've just realized I haven't tried to stress it much.  I'll try
> a build loop when the server's running 2.6.26 this evening.
> 
> -- 
> Paul Collins
> Wellington, New Zealand
> 
> Dag vijandelijk luchtschip de huismeester is dood